Trigger deployAsk AIpost https://api.render.com/v1/services/{serviceId}/deploysTrigger a deploy for the service with the provided ID.Path ParamsserviceIdstringrequiredThe ID of the serviceBody ParamsclearCachestringenumDefaults to do_not_clearIf clear, Render clears the service's build cache before deploying. This can be useful if you're experiencing issues with your build.cleardo_not_clearAllowed:cleardo_not_clearcommitIdstringThe SHA of a specific Git commit to deploy for a service. Defaults to the latest commit on the service's connected branch. Note that deploying a specific commit with this endpoint does not disable autodeploys for the service. You can toggle autodeploys for your service with the Update service endpoint or in the Render Dashboard. Not supported for cron jobs.imageUrlstringThe URL of the image to deploy for an image-backed service. The host, repository, and image name all must match the currently configured image for the service.deployModestringenumDefaults to build_and_deployDeployment mode controlling build and deploy behavior. Defaults to build_and_deploy when not specified. Validation: deploy_mode cannot be combined with commitId or imageUrl or clearCache.deploy_onlybuild_and_deployAllowed:deploy_onlybuild_and_deployResponses 201Created 202Queued 400The request could not be understood by the server. 401Authorization information is missing or invalid. 404Unable to find the requested resource. 406Unable to generate preferred media types as specified by Accept request header. 409The current state of the resource conflicts with this request. 410The requested resource is no longer available. 429Rate limit has been surpassed. 500An unexpected server error has occurred. 503Server currently unavailable.Updated 6 months ago